Поддержка Проблемы и решения Ошибка публикации

  • Здравствуйте. Помогите, пожалуйста, с пониманием проблемы. После обновления WP на 5.5 не грузятся некоторые страницы сайта, выдавая одинаковую ошибку:

    Notice: Undefined offset: 0 in /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/class-wp-block.php on line 211

    Fatal error: Uncaught Error: Call to a member function render() on null in /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/class-wp-block.php:211 Stack trace: #0 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/blocks.php(720): WP_Block->render() #1 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/blocks.php(617): render_block(Array) #2 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/formatting.php(3816): excerpt_remove_blocks(‘<!— wp:paragra…’) #3 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/class-wp-hook.php(287): wp_trim_excerpt(‘<!— wp:paragra…’, Object(WP_Post)) #4 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/plugin.php(206): WP_Hook->apply_filters(», Array) #5 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/post-template.php(429): apply_filters(‘get_the_excerpt’, », Object(WP_Post)) #6 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/post-template.php(394): get_the_excerpt() #7 /var/www/u1092453/data/www/vnimanie-chai.ru/wp-content/themes/env in /var/www/u1092453/data/www/vnimanie-chai.ru/wp-includes/class-wp-block.php on line 211
    На сайте возникла критическая ошибка.

    Также не сохраняются странички и посты в новом редакторе WP, только через плагин Classic Editor. Хотя ошибку это не исправляет. Пользуюсь бесплатной темой Envo Commerce. Постоянные ссылки менял, всю папку wp-includes менял вручную. Надеюсь, кто-то подскажет.

    Страница, с которой нужна помощь: [войдите, чтобы увидеть ссылку]

Просмотр 12 ответов — с 1 по 12 (всего 12)
  • wp-content/themes/env

    обратитесь к автору темы

    обратитесь к автору темы

    Возможно я не прав, но сменив несколько тем имею всё ту же ошибку. По Вашему получается, что нужно всем авторам тем написать? Что-то в WP сломалось мне кажется, не работает новый редактор блоков. Ошибка возникла после обновления на 5.5. Как вообще выходить из такой ситуации, создавать все заново с нуля (только бы не это)? Это мой первый сайт, знаний с гулькин нос.

    на дефолтной теме twenty — тоже самое?

    Да, то же самое. И редактор блоков также не открывается.
    https://vnimanie-chai.ru/about/ как пример

    Ставлю голый Вордпресс с нуля 5.5, тема по умолчанию, тоже ошибка
    Fatal error: Uncaught Error: Call to a member function render() on null in /var/www/имя домена class-wp-block.php:211 Stack trace: #0 /var/www

    php 7.4

    прописал debug true

    Notice: Undefined offset: 0 in /var/www/u4463222/public_html/домен.ru/wp-includes/class-wp-block.php on line 211

    Переустановил

    5,4

    предупреждение
    Warning: Invalid argument supplied for foreach() in /var/www/u0245763/public_html/домен.ru/wp-includes/blocks.php on line 477

    • Ответ изменён 2 года, 5 месяцев назад пользователем soft4seo.
    • Ответ изменён 2 года, 5 месяцев назад пользователем soft4seo.
    • Ответ изменён 2 года, 5 месяцев назад пользователем soft4seo. Причина: дополнение

    Проблему решила служба поддержки хостинга

    Неполадка была вызвана использованием следующего блока в файле php.ini:

    mbstring.func_overload=2
    mbstring.internal_encoding=UTF-8
    pcre.jit=0
    Отключили данный блок, сейчас ошибка отсутствует.

    Отключили данный блок, сейчас ошибка отсутствует

    К сожалению, у меня в php.ini другие записи, а именно:
    opcache.revalidate_freq = 0
    mbstring.func_overload = 2
    mbstring.internal_encoding = UTF-8
    Отключить — это удалить? Извините за невежество, если грубое понимание проблемы коробит. Удаляя данные строки конкретно у меня ошибка не исчезает.

    Модератор Yuri

    (@yube)

    mbstring.func_overload = 2 — вот это вредитель.

    Удаляя данные строки конкретно у меня ошибка не исчезает.

    Во-первых, убедитесь, что удаляете в том php.ini, который использует php, обрабатывающая сайт. Стоит посмотреть в phpinfo. Во-вторых, изменения php.ini отнюдь не всегда вступают в силу без перезагрузки php.
    Лучше всего такие изменения делегировать системному администратору сервера.

    Спасибо за помощь, очень благодарен! Всего вам доброго!

    Модератор Yui

    (@fierevere)

    ゆい

    mbstring.func_overload = 2 — вот это вредитель.

    к счастью в PHP 8.0 его убирают полностью.
    Значение ненулевое хочет только Битрикс, что к сожалению заставляет достаточно многих хостеров его устанавливать клиентам,
    принося этим много проблем со всем «что не битрикс»

    А как в итоге решили проблему? Столкнулся с тем же и ничего из вышеописанного не помогло.

    @thepirojoks я просто поставил PHP 8.0 и все заработало.

Просмотр 12 ответов — с 1 по 12 (всего 12)
  • Тема «Ошибка публикации» закрыта для новых ответов.